# TdApi.InputMessageAnimation (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputMessageAnimation

Package it.tdlight.jni

# Class TdApi.InputMessageAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageAnimation

Enclosing class:
  TdApi

    public static class TdApi.InputMessageAnimation
    extends TdApi.InputMessageContent

An animation message (GIF-style).

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int[]` | `addedStickerFileIds` | File identifiers of the stickers added to the animation, if applicable.
`TdApi.InputFile` | `animation` | Animation file to be sent.
`TdApi.FormattedText` | `caption` | Animation caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.
`static int` | `CONSTRUCTOR` |
`int` | `duration` | Duration of the animation, in seconds.
`int` | `height` | Height of the animation; may be replaced by the server.
`TdApi.InputThumbnail` | `thumbnail` | Animation thumbnail; pass null to skip thumbnail uploading.
`int` | `width` | Width of the animation; may be replaced by the server.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputMessageAnimation()` | An animation message (GIF-style).
`InputMessageAnimation​(TdApi.InputFile animation, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int duration, int width, int height, TdApi.FormattedText caption)` | An animation message (GIF-style).
`InputMessageAnimation​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### animation

public TdApi.InputFile animation
Animation file to be sent.

### thumbnail

public TdApi.InputThumbnail thumbnail
Animation thumbnail; pass null to skip thumbnail uploading.

### addedStickerFileIds

public int[] addedStickerFileIds
File identifiers of the stickers added to the animation, if applicable.

### duration

public int duration
Duration of the animation, in seconds.

### width

public int width
Width of the animation; may be replaced by the server.

### height

public int height
Height of the animation; may be replaced by the server.

### caption

public TdApi.FormattedText caption
Animation caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputMessageAnimation

public InputMessageAnimation()
An animation message (GIF-style).

### InputMessageAnimation

public InputMessageAnimation​(TdApi.InputFile animation, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int duration, int width, int height, TdApi.FormattedText caption)
An animation message (GIF-style).

Parameters:
  `animation` - InputFile Animation file to be sent.
  `thumbnail` - InputThumbnail Animation thumbnail; pass null to skip thumbnail uploading.
  `addedStickerFileIds` - int[] File identifiers of the stickers added to the animation, if applicable.
  `duration` - int Duration of the animation, in seconds.
  `width` - int Width of the animation; may be replaced by the server.
  `height` - int Height of the animation; may be replaced by the server.
  `caption` - FormattedText Animation caption; pass null to use an empty caption; 0-GetOption("message_caption_length_max") characters.

### InputMessageAnimation

public InputMessageAnimation​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`